HostingImports
List import resources
GET
/api/imports/{import_code}/resourcesReturns the resources parsed from an import CSV file.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
import_code*string
Import code: I followed by 9 digits. Example: I123456789.
Query Parameters
status?string
Import resource status filter.
all= include every import resource status.valid= validation succeeded.invalid= validation failed.
Values
all | valid | invalidpage?integer
Page number
Format
int32Default 1per?integer
Results per page
Format
int32Default 25query?string
Search query
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/imports/string/resources" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"import_code": "string",
"description": "string",
"status": "valid",
"fields": {},
"error_details": [
null
]
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}